import { jsx } from "react/jsx-runtime";
import { TokenWSI as TokenWSI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWSI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "WSI", "data-name": "TokenWSI", ...props, children: /* @__PURE__ */ jsx(TokenWSI$1, { variant }) });
  }
);
TokenWSI.displayName = "TokenWSI";
Object.assign(TokenWSI, { isGdsIcon: true });
export {
  TokenWSI
};
